=== applications/CMakeLists.txt ===
add_subdirectory(vsgpoints_example)
