=== src/CMakeLists.txt ===
add_subdirectory(vsgPoints)
